__gnu_profile::__warning_data Struct Reference

## Public Member Functions

| __warning_data (float __m, __stack_t __c, const char *__id, const std::string &__msg)
bool | operator< (const __warning_data &__other) const

## Public Attributes

__stack_t | __context
float | __magnitude
const char * | __warning_id
std::string | __warning_message

## Detailed Description

Representation of a warning.

Definition at line 73 of file profiler_trace.h.

The documentation for this struct was generated from the following file:

- profiler_trace.h